Bug 117578 - (IDE)Fail to mount Liteon 486S IDE cdrom
(IDE)Fail to mount Liteon 486S IDE cdrom
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-05 10:17 EST by Brad Ross
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:09:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Ross 2004-03-05 10:17:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
When the system boots, it correctly detects the Liteon CDROM. After it
is booted, the cdrom.o and ide-cd.o are loaded as seen below:
 Module                  Size  Used by    Not tainted
vfat                   12524   0  (autoclean)
fat                    38040   0  (autoclean) [vfat]
ide-cd                 34432   0  (autoclean)
cdrom                  34592   0  (autoclean) [ide-cd]

I have tried every cd I can think of, cd-r,cd-rw,music and they all
get the same error.

hdc: attached ide-cdrom driver.
hdc: ATAPI 48X CD-ROM drive, 120kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
hdc: media error (bad sector): status=0x51 { DriveReady SeekComplete
Error }
hdc: media error (bad sector): error=0x30
end_request: I/O error, dev 16:00 (hdc), sector 0
hdc: media error (bad sector): status=0x51 { DriveReady SeekComplete
Error }
hdc: media error (bad sector): error=0x30
end_request: I/O error, dev 16:00 (hdc), sector 4
hdc: media error (bad sector): status=0x51 { DriveReady SeekComplete
Error }
hdc: media error (bad sector): error=0x30
end_request: I/O error, dev 16:00 (hdc), sector 64
FAT: bogus logical sector size 0
VFS: Can't find a valid FAT filesystem on dev 16:00.

this ends after about a full page of these errors and the cd never mounts.

Brad Ross








Version-Release number of selected component (if applicable):
kernel 2.4.22.1.2174

How reproducible:
Always

Steps to Reproduce:
1.Boot system 
2.Insert CD and Login
3.mount cdrom using mount /dev/hdc /mnt/cdrom or mount -t iso9660
/dev/hdc /mnt/cdrom 
    

Actual Results:  hdc: attached ide-cdrom driver.
hdc: ATAPI 48X CD-ROM drive, 120kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
hdc: media error (bad sector): status=0x51 { DriveReady SeekComplete
Error }
hdc: media error (bad sector): error=0x30
end_request: I/O error, dev 16:00 (hdc), sector 0
hdc: media error (bad sector): status=0x51 { DriveReady SeekComplete
Error }
hdc: media error (bad sector): error=0x30
end_request: I/O error, dev 16:00 (hdc), sector 4
hdc: media error (bad sector): status=0x51 { DriveReady SeekComplete
Error }
hdc: media error (bad sector): error=0x30
end_request: I/O error, dev 16:00 (hdc), sector 64
FAT: bogus logical sector size 0
VFS: Can't find a valid FAT filesystem on dev 16:00.


Expected Results:  cdrom should have mounted to the mount-point

Additional info:

kernel is version 2.4.22-2.2174.nptl.i686
and the server is a IBM Xseries 205 with a liteon ide cdrom at 48x
Comment 1 David Lawrence 2004-09-29 16:09:31 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.